// ChatGPT
use chrono::prelude::*;
use chrono;


pub fn _timestamp_to_date_string(timestamp: &u64) -> String {
    // Convert the Unix timestamp to a chrono DateTime<Utc>
    let datetime_utc: DateTime<Utc> = DateTime::<Utc>::from_utc(NaiveDateTime::from_timestamp(*timestamp as i64, 0), Utc);

    // Format the DateTime as a string
    let date_string = datetime_utc.format("%Y-%m-d %H:%M:%S ").to_string();

    // Return the formatted date string
    date_string
}