#[derive(Debug)]
pub struct UserPost {
    pub post_id: u64,
    pub poster_uid: u64,
    pub post_content: String,
    pub post_timestamp: u64
}
#[derive(Debug)]
pub struct UserInfo {
    pub uid: u32,
    pub email: String,
    pub username: String,
    pub date_reg: u32,
    pub date_last_active: u32,
    pub date_last_visit: u32,
    pub password_hash: String,
    pub password_salt: String,
    pub hardware_fingerprint: String,
    pub SIDs: Vec<String>
}

